Subject: Re: bug#71396: Close

From: Andreas Enge <[email-masked]>
Date: Mon, 10 Jun 2024 12:21:11 +0200

Am Mon, Jun 10, 2024 at 11:07:11AM +0100 schrieb Christopher Baines:
> Note that quoting vs gexps matters for package inheritance, so even
> though there's no ungexp'ing happening in this pacakge, the phases could
> be ungexp'ed by a package that inherits from solaar.
> For this reason, I think it's important to move to using gexp's for all
> phases, even the trivial ones, so that there are less issues when it
> comes to package inheritance and modifying phases.

Good point, although most packages do not lead to inheritance; but when
they do, this issue becomes difficult to debug. Feel free to push the
second patch if you want to.

Andreas